<?
/**
 * VoiceOne Webservices Registrations
 *
 * @package voiceone_webservices
 * @subpackage Contacts
 */
$server->register(
    'getContact',
    array('id'=>'xsd:int','id_user'=>'xsd:int','strict'=>'xsd:int'),
    array('return'=>'tns:contactArray'),
    $NAMESPACE);
$server->register(
    'putContact',
    array('client'=>'tns:contact','id_user'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delContact',
    array('id'=>'xsd:int','id_user'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getContactIndex',
    array('id_user'=>'xsd:int','search'=>'xsd:string'),
    array('return'=>'tns:AssociativeArray'),
    $NAMESPACE);
$server->register(
    'getContactList',
    array('id_user'=>'xsd:int','starting'=>'xsd:string','search'=>'xsd:string','res_num'=>'xsd:int','page'=>'xsd:int'),
    array('return'=>'tns:contactListArray'),
    $NAMESPACE);
$server->register(
    'getContactFromPhonenumber',
    array('phonenumber'=>'xsd:string'),
    array('return'=>'tns:contactArray'),
    $NAMESPACE);
$server->register(
    'getContactFromMobile',
    array('mobile'=>'xsd:string'),
    array('return'=>'tns:contactArray'),
    $NAMESPACE);
$server->register(
    'getContactsFromNumber',
    array('number'=>'xsd:string'),
    array('return'=>'tns:contactArray'),
    $NAMESPACE);
$server->register(
    'speedDialMaxExceed',
    array(),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getContactIdFromCidName',
    array('cid_name'=>'xsd:string','id_user'=>'xsd:int'),
    array('return'=>'xsd:intArray'),
    $NAMESPACE);   
//******************           Groups of Contacts            *******************
$server->register(
    'getContactGroup',
    array('id'=>'xsd:int','id_user'=>'xsd:int'),
    array('return'=>'tns:contactGroupArray'),
    $NAMESPACE);
$server->register(
    'putContactGroup',
    array('client'=>'tns:contactGroup','id_user'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delContactGroup',
    array('id'=>'xsd:int','id_user'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'isContactGroupErasable',
    array('id'=>'xsd:int','id_user'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>